#include "colour.h"
#include "drop_area.h"
#include "window.h"
#include <SDL2/SDL.h>
#include <SDL2/SDL_events.h>
#include <SDL2/SDL_render.h>
#include <SDL2/SDL_video.h>
#include <stdbool.h>
#include <stdlib.h>

#define WINDOW_WIDTH 1280
#define WINDOW_HEIGHT 720

int main(void) {
  window_t window = {0};

  if (!open_window(&window, "Window", WINDOW_WIDTH, WINDOW_HEIGHT,
                   (colour_t){.abgr = 0xffffffff})) {
    return EXIT_FAILURE;
  }

  drop_area_t area = {0};
  init_drop_area(&window, &area, (render_rect_t){10, 10, 1260, 600},
                 (colour_t){.abgr = 0xff000000});

  run_window_loop(&window);

  close_window(&window);

  return EXIT_SUCCESS;
}
